Create a tier
curl --request POST \
--url https://api.pocketflows.com/rewards_programs/{id}/tiers \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"minimum_points": 123,
"perks": [
{
"perk_type": "text",
"description": "<string>",
"title": "<string>"
}
]
}
'import requests
url = "https://api.pocketflows.com/rewards_programs/{id}/tiers"
payload = {
"name": "<string>",
"minimum_points": 123,
"perks": [
{
"perk_type": "text",
"description": "<string>",
"title": "<string>"
}
]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
minimum_points: 123,
perks: [{perk_type: 'text', description: '<string>', title: '<string>'}]
})
};
fetch('https://api.pocketflows.com/rewards_programs/{id}/tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"minimum_points": 123,
"associated_color": "<string>",
"perks": [
{
"id": "<string>",
"perk_type": "<string>",
"description": "<string>",
"title": "<string>",
"mariana_tek_icon": "<string>"
}
]
}Tiers
Create a tier
POST
/
rewards_programs
/
{id}
/
tiers
Create a tier
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the rewards program
Body
application/json
Response
200 - application/json
The created Tier object
The ID of the tier
The tier's name
The minimum number of points to reach this tier
The color associated with this tier
The perks associated with reaching this tier
Show child attributes
Show child attributes
⌘I